Package org.apache.tomcat.util.compat

## Class TLS

- java.lang.Object
- - org.apache.tomcat.util.compat.TLS

    @Deprecated
    public class TLS
    extends java.lang.Object

Deprecated.
Unused. This will be removed in Tomcat 10.
This class checks for the availability of TLS features.

### Constructor Summary

Constructors
`TLS()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static boolean` `isTlsv13Available()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TLS

    public TLS()

Deprecated.

### Method Detail

#### isTlsv13Available

    public static boolean isTlsv13Available()

Deprecated.